Subject: [AVTCORE] Fwd: [Technical Errata Reported] RFC7728 (5540)

From: Ben Campbell <[email-masked]>
Date: Sat, 3 Nov 2018 13:19:14 +0700

Do people have opinions on this errata report?

Thanks!

Ben.

> Begin forwarded message:
> 
> From: RFC Errata System <[email-masked]>
> Subject: [Technical Errata Reported] RFC7728 (5540)
> Date: November 2, 2018 at 11:18:56 PM GMT+7
> To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
> Cc: [email-masked], [email-masked], [email-masked]
> 
> The following errata report has been submitted for RFC7728,
> "RTP Stream Pause and Resume".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata/eid5540
> 
> --------------------------------------
> Type: Technical
> Reported by: Nicholas Wilson <[email-masked]>
> 
> Section: 8.2.  PAUSED
> 
> Original Text
> -------------
>   PAUSED SHALL contain a fixed-length 32-bit parameter at the start of
>   the Type Specific field with the extended RTP sequence number of the
>   last RTP packet sent before the RTP stream was paused, in the same
>   format as the extended highest sequence number received
>   (Section 6.4.1 of [RFC3550]).
> 
> Corrected Text
> --------------
>   PAUSED SHALL contain a fixed-length 32-bit parameter at the start of
>   the Type Specific field with the extended RTP sequence number of the
>   last RTP packet sent before the RTP stream was paused, in the same
>   format as the extended highest sequence number received
>   (Section 6.4.1 of [RFC3550]), or, if no packet has been sent, the
>   value one less than the sequence number that will be chosen for the
>   next packet sent (modulo 2^32).
> 
> Notes
> -----
> The paragraph leaves the value of the parameter undefined when the stream is paused before any data has been sent.
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party
> can log in to change the status and edit the report, if necessary.
> 
> --------------------------------------
> RFC7728 (draft-ietf-avtext-rtp-stream-pause-10)
> --------------------------------------
> Title               : RTP Stream Pause and Resume
> Publication Date    : February 2016
> Author(s)           : B. Burman, A. Akram, R. Even, M. Westerlund
> Category            : PROPOSED STANDARD
> Source              : Audio/Video Transport Extensions
> Area                : Applications and Real-Time
> Stream              : IETF
> Verifying Party     : IESG

---

From: [email-masked] (Dale R. Worley)
Date: Sun, 04 Nov 2018 21:26:56 -0500

> Do people have opinions on this errata report?

It looks like the erratum is correct as a correction.  The base RFC is
not as clear as I'd like regarding what this "extended RTP sequence
number" is, but in the context, I expect every reader to make the same
assumptions about how it is to be handled.

Dale

---

From: Magnus Westerlund <[email-masked]>
Date: Mon, 5 Nov 2018 03:40:17 +0000

> assumptions about how it is to be handled.

I agree that it is the likely interpretation. But, to be clear, I think
we can accept this errata.

Cheers

Magnus Westerlund 

----------------------------------------------------------------------
Network Architecture & Protocols, Ericsson Research
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Torshamnsgatan 23           | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------

---

From: Ben Campbell <[email-masked]>
Date: Mon, 5 Nov 2018 17:10:24 +0700

> On Nov 5, 2018, at 10:40 AM, Magnus Westerlund <[email-masked]> wrote:
> 

I marked it as “verified”.

Thanks!

Ben.

---

From: RFC Errata System <[email-masked]>
Date: Fri, 2 Nov 2018 09:18:56 -0700 (PDT)

Section: 8.2.  PAUSED

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------